%define upstream_name    CGI-Persistent
%define upstream_version 1.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	CGI-Persistent module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(CGI)
BuildRequires:  perl-Object-Persistence
BuildArch:	noarch


%description
This module provides transparent state persistence for CGI applications.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 0755 html/roach.cgi

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc html/* META.yml
%{perl_vendorlib}/CGI/Persistent.pm
%{_mandir}/*/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.110.0-10.mga9
+ Revision: 1817045
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.110.0-9.mga8
+ Revision: 1493494
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.110.0-8.mga7
+ Revision: 1266047
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.110.0-7.mga6
+ Revision: 1023817
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.110.0-6.mga6
+ Revision: 941693
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-5.mga5
+ Revision: 742558
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-4.mga5
+ Revision: 683653
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.110.0-3.mga4
+ Revision: 509569
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 363541
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.110.0-1.mga1
+ Revision: 31729
- mageia rebuild
- imported package perl-CGI-Persistent


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.110.0-1mdv2010.0
+ Revision: 403003
- rebuild using %%perl_convert_version

* Sun Jul 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdv2009.0
+ Revision: 232106
- update to new version 1.11

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-3mdv2008.1
+ Revision: 136916
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.00-2mdv2007.0
+ Revision: 73393
- import perl-CGI-Persistent-1.00-2mdk

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.00-2mdk
- Fix SPEC Using perl Policies
	- BuildRequires
	- Source URL
- use mkrel

* Fri Jul 15 2005 Andreas Hasenack <andreas@mandriva.com> 1.00-1mdk
- initial Mandriva package

